database_listing_callback.hpp File Reference
API

definition of the user defined callback function used for database listing More...

`#include "../my_config.h"`
`#include <string>`
`#include "database_aux.hpp"`
`#include "archive_num.hpp"`
`#include "datetime.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs

using | libdar::database_listing_show_files_callback = void(*)(void *context, const std::string &filename, bool available_data, bool available_ea)
| called by the database::get_files() routine More...
using | libdar::database_listing_get_version_callback = void(*)(void *context, archive_num num, db_etat data_presence, bool has_data_date, datetime data, db_etat ea_presence, bool has_ea_date, datetime ea)
| called with the information of presence for an entry in archive number num More...
using | libdar::database_listing_statistics_callback = void(*)(void *context, U_I number, const infinint &data_count, const infinint &total_data, const infinint &ea_count, const infinint &total_ea)
| called with teh information of statistics for each archive in turn More...

## Detailed Description

definition of the user defined callback function used for database listing

Definition in file database_listing_callback.hpp.